summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorCkat2018-02-18 15:26:21 +0100
committerCkat2018-02-18 15:26:21 +0100
commit200988a00609b9f08b500885bdd098461eb1b1e5 (patch)
tree291f5d7ca5abdfbf4af21d9f7b7fea229684d72c
parent9a0735828030976723f9dad11d06b3602f6ccbbd (diff)
downloadaur-200988a00609b9f08b500885bdd098461eb1b1e5.tar.gz
include tag in version
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD7
2 files changed, 6 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 21b916e44fa..9b06f3f6284 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = chatterino2-git
pkgdesc = Chatterino 2 is the second installment of the Twitch chat client series "Chatterino". dev/git version.
- pkgver = r365.de332db
+ pkgver = nightly420.r17.g1d1f40b
pkgrel = 1
url = https://chatterino.com
install = chatterino2-git.install
diff --git a/PKGBUILD b/PKGBUILD
index 5422bfb5842..963be04228e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
_name=chatterino2
pkgname="$_name-git"
-pkgver=r365.de332db
+pkgver=nightly420.r17.g1d1f40b
pkgrel=1
pkgdesc='Chatterino 2 is the second installment of the Twitch chat client series "Chatterino". dev/git version.'
arch=('any')
@@ -18,7 +18,10 @@ sha1sums=('SKIP' 'SKIP' 'SKIP')
pkgver() {
cd "$srcdir/$_name"
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare () {